## org.apache.xml.serialize
Class Method

    java.lang.Object
      org.apache.xml.serialize.Method

    public final class Method

extends java.lang.Object

Version:
  $Revision: 319808 $ $Date: 2004-02-24 18:34:05 -0500 (Tue, 24 Feb 2004) $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` `FOP` The output method for FO documents as PDF.
`static java.lang.String` `HTML` The output method for HTML documents.
`static java.lang.String` `TEXT` The output method for text documents.
`static java.lang.String` `XHTML` The output method for HTML documents as XHTML.
`static java.lang.String` `XML` The output method for XML documents.

Constructor Summary
`Method()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final java.lang.String XML

  The output method for XML documents.

  See Also:
    Constant Field Values

### HTML

    public static final java.lang.String HTML

  The output method for HTML documents.

  See Also:
    Constant Field Values

### XHTML

    public static final java.lang.String XHTML

  The output method for HTML documents as XHTML.

  See Also:
    Constant Field Values

### TEXT

    public static final java.lang.String TEXT

  The output method for text documents.

  See Also:
    Constant Field Values

### FOP

    public static final java.lang.String FOP

  The output method for FO documents as PDF.

  See Also:
    Constant Field Values

Constructor Detail

### Method

    public Method()

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.